//------------------------------------------------------------------------------
#ifndef mt_obj_h
#define mt_obj_h
//------------------------------------------------------------------------------
#include "platform.h"
//------------------------------------------------------------------------------
class mt_obj
{
public:
    mt_obj(void);
    virtual ~mt_obj(void);
    
    void lock(void);
    void unlock(void);
    
private:
#ifdef IS_LINUX
    pthread_mutex_t mutex;
#else
    CRITICAL_SECTION cs;
#endif

private:
    mt_obj(const mt_obj &) {}
    const mt_obj &operator =(const mt_obj &) {}
};
//------------------------------------------------------------------------------
#endif //mt_obj_h
