//------------------------------------------------------------------------------
#include "get_app_name.h"
//------------------------------------------------------------------------------
#include <stdio.h>
//------------------------------------------------------------------------------
#include "platform.h"
//------------------------------------------------------------------------------
std::string get_app_name(void)
{
    char buffer[FILENAME_MAX];
    buffer[0] = '\0';
#ifdef IS_LINUX
    ssize_t size = readlink("/proc/self/exe", buffer, FILENAME_MAX - 1);
    if (size != -1) buffer[size] = '\0';
#else
    GetModuleFileName(0, buffer, FILENAME_MAX);
#endif
    return buffer;
}
