//------------------------------------------------------------------------------
#ifndef thread_obj_h
#define thread_obj_h
//------------------------------------------------------------------------------
#include "platform.h"
#include "mt_obj.h"
//---------------------------------------------------------------------------
class thread_obj:
    public mt_obj
{
private:
    #ifndef IS_LINUX

    HANDLE thread_h;

    #else

    pthread_t thread_id;

    #endif

    bool _terminated;
    
public:
    thread_obj(void):
        #ifndef IS_LINUX

        thread_h(0),

        #else

        thread_id(0),

        #endif

        _terminated(true)
    {}
    virtual ~thread_obj(void)
    {
        destroy();
    }

    virtual void main(void) = 0;

    bool create(void);
    void destroy(void);
    
    bool terminated(void);
};
//------------------------------------------------------------------------------
#endif //thread_obj_h
